<?php

namespace Drupal\tui_editor\Controller;

use Drupal\Core\Controller\ControllerBase;
use Symfony\Component\DependencyInjection\ContainerInterface;
use Symfony\Component\Serializer\Serializer;
use Symfony\Component\HttpFoundation\JsonResponse;

/**
 * Class MediaImageController.
 */
class MediaImageController extends ControllerBase {

  /**
   * Creates an MediaImageController object.
   *
   * @param \Symfony\Component\Serializer\Serializer $serializer
   */
  public function __construct(Serializer $serializer) {
    $this->serializer = $serializer;
  }

 /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    return new static(
      $container->get('serializer')
    );
  }

  public function info($media) {

    $mediaAsJson = $this->serializer
    ->normalize($media, 'json'); 

    $fileAsJson = $this->serializer
      ->normalize($media->field_media_image->entity, 'json');
    
    return new JsonResponse(
      [
        'media' => $mediaAsJson,
        'file' => $fileAsJson  
      ]
    );
  }

}
